languages = {
	"1C Enterprise": ['.bsl', '.os'],
	"ABAP": ['.abap'],
	"ABNF": ['.abnf'],
	"AGS Script": ['.asc', '.ash'],
	"AMPL": ['.ampl', '.mod'],
	"ANTLR": ['.g4'],
	"API Blueprint": ['.apib'],
	"APL": ['.apl', '.dyalog'],
	"ASN.1": ['.asn', '.asn1'],
	"ASP": ['.asp', '.asax', '.ascx', '.ashx', '.asmx', '.aspx', '.axd'],
	"ATS": ['.dats', '.hats', '.sats'],
	"ActionScript": ['.as'],
	"Ada": ['.adb', '.ada', '.ads'],
	"Adobe Font Metrics": ['.afm'],
	"Agda": ['.agda'],
	"Alloy": ['.als'],
	"ApacheConf": ['.apacheconf', '.vhost'],
	"Apex": ['.cls'],
	"Apollo Guidance Computer": ['.agc'],
	"AppleScript": ['.applescript', '.scpt'],
	"Arc": ['.arc'],
	"Arduino": ['.ino'],
	"AsciiDoc": ['.asciidoc', '.adoc', '.asc'],
	"AspectJ": ['.aj'],
	"Assembly": ['.asm', '.a51', '.inc', '.nasm'],
	"Augeas": ['.aug'],
	"AutoHotkey": ['.ahk', '.ahkl'],
	"AutoIt": ['.au3'],
	"Awk": ['.awk', '.auk', '.gawk', '.mawk', '.nawk'],
	"Ballerina": ['.bal'],
	"Batchfile": ['.bat', '.cmd'],
	"Befunge": ['.befunge'],
	"Bison": ['.bison'],
	"BitBake": ['.bb'],
	"Blade": ['.blade', '.blade.php'],
	"BlitzBasic": ['.bb', '.decls'],
	"BlitzMax": ['.bmx'],
	"Bluespec": ['.bsv'],
	"Boo": ['.boo'],
	"Brainfuck": ['.b', '.bf'],
	"Brightscript": ['.brs'],
	"Bro": ['.bro'],
	"C": ['.c', '.cats', '.h', '.idc'],
	"C#": ['.cs', '.cake', '.cshtml', '.csx'],
	"C++": ['.cpp', '.c++', '.cc', '.cp', '.cxx', '.h', '.h++', '.hh', '.hpp', '.hxx', '.inc', '.inl', '.ipp', '.re', '.tcc', '.tpp'],
	"C-ObjDump": ['.c-objdump'],
	"C2hs Haskell": ['.chs'],
	"CLIPS": ['.clp'],
	"CMake": ['.cmake', '.cmake.in'],
	"COBOL": ['.cob', '.cbl', '.ccp', '.cobol', '.cpy'],
	"COLLADA": ['.dae'],
	"CSON": ['.cson'],
	"CSS": ['.css'],
	"CSV": ['.csv'],
	"CWeb": ['.w'],
	"Cap'n Proto": ['.capnp'],
	"CartoCSS": ['.mss'],
	"Ceylon": ['.ceylon'],
	"Chapel": ['.chpl'],
	"Charity": ['.ch'],
	"ChucK": ['.ck'],
	"Cirru": ['.cirru'],
	"Clarion": ['.clw'],
	"Clean": ['.icl', '.dcl'],
	"Click": ['.click'],
	"Clojure": ['.clj', '.boot', '.cl2', '.cljc', '.cljs', '.cljs.hl', '.cljscm', '.cljx', '.hic'],
	"Closure Templates": ['.soy'],
	"CoffeeScript": ['.coffee', '._coffee', '.cake', '.cjsx', '.iced'],
	"ColdFusion": ['.cfm', '.cfml'],
	"ColdFusion CFC": ['.cfc'],
	"Common Lisp": ['.lisp', '.asd', '.cl', '.l', '.lsp', '.ny', '.podsl', '.sexp'],
	"Component Pascal": ['.cp', '.cps'],
	"Cool": ['.cl'],
	"Coq": ['.coq', '.v'],
	"Cpp-ObjDump": ['.cppobjdump', '.c++-objdump', '.c++objdump', '.cpp-objdump', '.cxx-objdump'],
	"Creole": ['.creole'],
	"Crystal": ['.cr'],
	"Csound": ['.orc', '.udo'],
	"Csound Document": ['.csd'],
	"Csound Score": ['.sco'],
	"Cuda": ['.cu', '.cuh'],
	"Cycript": ['.cy'],
	"Cython": ['.pyx', '.pxd', '.pxi'],
	"D": ['.d', '.di'],
	"D-ObjDump": ['.d-objdump'],
	"DIGITAL Command Language": ['.com'],
	"DM": ['.dm'],
	"DNS Zone": ['.zone', '.arpa'],
	"DTrace": ['.d'],
	"Darcs Patch": ['.darcspatch', '.dpatch'],
	"Dart": ['.dart'],
	"DataWeave": ['.dwl'],
	"Diff": ['.diff', '.patch'],
	"Dockerfile": ['.dockerfile'],
	"Dogescript": ['.djs'],
	"Dylan": ['.dylan', '.dyl', '.intr', '.lid'],
	"E": ['.E'],
	"EBNF": ['.ebnf'],
	"ECL": ['.ecl', '.eclxml'],
	"ECLiPSe": ['.ecl'],
	"EJS": ['.ejs'],
	"EQ": ['.eq'],
	"Eagle": ['.sch', '.brd'],
	"Easybuild": ['.eb'],
	"Ecere Projects": ['.epj'],
	"Eiffel": ['.e'],
	"Elixir": ['.ex', '.exs'],
	"Elm": ['.elm'],
	"Emacs Lisp": ['.el', '.emacs', '.emacs.desktop'],
	"EmberScript": ['.em', '.emberscript'],
	"Erlang": ['.erl', '.app.src', '.es', '.escript', '.hrl', '.xrl', '.yrl'],
	"F#": ['.fs', '.fsi', '.fsx'],
	"FLUX": ['.fx', '.flux'],
	"Factor": ['.factor'],
	"Fancy": ['.fy', '.fancypack'],
	"Fantom": ['.fan'],
	"Filebench WML": ['.f'],
	"Filterscript": ['.fs'],
	"Formatted": ['.for', '.eam.fs'],
	"Forth": ['.fth', '.4th', '.f', '.for', '.forth', '.fr', '.frt', '.fs'],
	"Fortran": ['.f90', '.f', '.f03', '.f08', '.f77', '.f95', '.for', '.fpp'],
	"FreeMarker": ['.ftl'],
	"Frege": ['.fr'],
	"G-code": ['.g', '.gco', '.gcode'],
	"GAMS": ['.gms'],
	"GAP": ['.g', '.gap', '.gd', '.gi', '.tst'],
	"GCC Machine Description": ['.md'],
	"GDB": ['.gdb', '.gdbinit'],
	"GDScript": ['.gd'],
	"GLSL": ['.glsl', '.fp', '.frag', '.frg', '.fs', '.fsh', '.fshader', '.geo', '.geom', '.glslv', '.gshader', '.shader', '.tesc', '.tese', '.vert', '.vrx', '.vsh', '.vshader'],
	"GN": ['.gn', '.gni'],
	"Game Maker Language": ['.gml'],
	"Genie": ['.gs'],
	"Genshi": ['.kid'],
	"Gentoo Ebuild": ['.ebuild'],
	"Gentoo Eclass": ['.eclass'],
	"Gerber Image": ['.gbr', '.gbl', '.gbo', '.gbp', '.gbs', '.gko', '.gpb', '.gpt', '.gtl', '.gto', '.gtp', '.gts'],
	"Gettext Catalog": ['.po', '.pot'],
	"Gherkin": ['.feature'],
	"Glyph": ['.glf'],
	"Gnuplot": ['.gp', '.gnu', '.gnuplot', '.plot', '.plt'],
	"Go": ['.go'],
	"Golo": ['.golo'],
	"Gosu": ['.gs', '.gst', '.gsx', '.vark'],
	"Grace": ['.grace'],
	"Gradle": ['.gradle'],
	"Grammatical Framework": ['.gf'],
	"Graph Modeling Language": ['.gml'],
	"GraphQL": ['.graphql', '.gql'],
	"Graphviz (DOT)": ['.dot', '.gv'],
	"Groovy": ['.groovy', '.grt', '.gtpl', '.gvy'],
	"Groovy Server Pages": ['.gsp'],
	"HCL": ['.hcl', '.tf'],
	"HLSL": ['.hlsl', '.cginc', '.fx', '.fxh', '.hlsli'],
	"HTML": ['.html', '.htm', '.html.hl', '.inc', '.st', '.xht', '.xhtml'],
	"HTML+Django": ['.jinja', '.mustache', '.njk'],
	"HTML+ECR": ['.ecr'],
	"HTML+EEX": ['.eex'],
	"HTML+ERB": ['.erb', '.erb.deface'],
	"HTML+PHP": ['.phtml'],
	"HTTP": ['.http'],
	"Hack": ['.hh', '.php'],
	"Haml": ['.haml', '.haml.deface'],
	"Handlebars": ['.handlebars', '.hbs'],
	"Harbour": ['.hb'],
	"Haskell": ['.hs', '.hsc'],
	"Haxe": ['.hx', '.hxsl'],
	"Hy": ['.hy'],
	"HyPhy": ['.bf'],
	"IDL": ['.pro', '.dlm'],
	"IGOR Pro": ['.ipf'],
	"INI": ['.ini', '.cfg', '.prefs', '.pro', '.properties'],
	"IRC log": ['.irclog', '.weechatlog'],
	"Idris": ['.idr', '.lidr'],
	"Inform 7": ['.ni', '.i7x'],
	"Inno Setup": ['.iss'],
	"Io": ['.io'],
	"Ioke": ['.ik'],
	"Isabelle": ['.thy'],
	"J": ['.ijs'],
	"JFlex": ['.flex', '.jflex'],
	"JSON": ['.json', '.geojson', '.JSON-tmLanguage', '.topojson'],
	"JSON5": ['.json5'],
	"JSONLD": ['.jsonld'],
	"JSONiq": ['.jq'],
	"JSX": ['.jsx'],
	"Jasmin": ['.j'],
	"Java": ['.java'],
	"Java Server Pages": ['.jsp'],
	"JavaScript": ['.js', '._js', '.bones', '.es', '.es6', '.frag', '.gs', '.jake', '.jsb', '.jscad', '.jsfl', '.jsm', '.jss', '.mjs', '.njs', '.pac', '.sjs', '.ssjs', '.xsjs', '.xsjslib'],
	"Jison": ['.jison'],
	"Jison Lex": ['.jisonlex'],
	"Jolie": ['.ol', '.iol'],
	"Julia": ['.jl'],
	"Jupyter Notebook": ['.ipynb'],
	"KRL": ['.krl'],
	"KiCad Layout": ['.kicad_pcb', '.kicad_mod', '.kicad_wks'],
	"KiCad Legacy Layout": ['.brd'],
	"KiCad Schematic": ['.sch'],
	"Kit": ['.kit'],
	"Kotlin": ['.kt', '.ktm', '.kts'],
	"LFE": ['.lfe'],
	"LLVM": ['.ll'],
	"LOLCODE": ['.lol'],
	"LSL": ['.lsl', '.lslp'],
	"LabVIEW": ['.lvproj'],
	"Lasso": ['.lasso', '.las', '.lasso8', '.lasso9', '.ldml'],
	"Latte": ['.latte'],
	"Lean": ['.lean', '.hlean'],
	"Less": ['.less'],
	"Lex": ['.l', '.lex'],
	"LilyPond": ['.ly', '.ily'],
	"Limbo": ['.b', '.m'],
	"Linker Script": ['.ld', '.lds'],
	"Linux Kernel Module": ['.mod'],
	"Liquid": ['.liquid'],
	"Literate Agda": ['.lagda'],
	"Literate CoffeeScript": ['.litcoffee'],
	"Literate Haskell": ['.lhs'],
	"LiveScript": ['.ls', '._ls'],
	"Logos": ['.xm', '.x', '.xi'],
	"Logtalk": ['.lgt', '.logtalk'],
	"LookML": ['.lookml', '.model.lkml', '.view.lkml'],
	"LoomScript": ['.ls'],
	"Lua": ['.lua', '.fcgi', '.nse', '.pd_lua', '.rbxs', '.wlua'],
	"M": ['.mumps', '.m'],
	"M4": ['.m4'],
	"M4Sugar": ['.m4'],
	"MAXScript": ['.ms', '.mcr'],
	"MQL4": ['.mq4', '.mqh'],
	"MQL5": ['.mq5', '.mqh'],
	"MTML": ['.mtml'],
	"MUF": ['.muf', '.m'],
	"Makefile": ['.mak', '.d', '.make', '.mk', '.mkfile'],
	"Mako": ['.mako', '.mao'],
	"Markdown": ['.md', '.markdown', '.mdown', '.mdwn', '.mkd', '.mkdn', '.mkdown', '.ron', '.workbook'],
	"Marko": ['.marko'],
	"Mask": ['.mask'],
	"Mathematica": ['.mathematica', '.cdf', '.m', '.ma', '.mt', '.nb', '.nbp', '.wl', '.wlt'],
	"Matlab": ['.matlab', '.m'],
	"Max": ['.maxpat', '.maxhelp', '.maxproj', '.mxt', '.pat'],
	"MediaWiki": ['.mediawiki', '.wiki'],
	"Mercury": ['.m', '.moo'],
	"Metal": ['.metal'],
	"MiniD": ['.minid'],
	"Mirah": ['.druby', '.duby', '.mir', '.mirah'],
	"Modelica": ['.mo'],
	"Modula-2": ['.mod'],
	"Module Management System": ['.mms', '.mmk'],
	"Monkey": ['.monkey', '.monkey2'],
	"Moocode": ['.moo'],
	"MoonScript": ['.moon'],
	"Myghty": ['.myt'],
	"NCL": ['.ncl'],
	"NL": ['.nl'],
	"NSIS": ['.nsi', '.nsh'],
	"Nearley": ['.ne', '.nearley'],
	"Nemerle": ['.n'],
	"NetLinx": ['.axs', '.axi'],
	"NetLinx+ERB": ['.axs.erb', '.axi.erb'],
	"NetLogo": ['.nlogo'],
	"NewLisp": ['.nl', '.lisp', '.lsp'],
	"Nginx": ['.nginxconf', '.vhost'],
	"Nim": ['.nim', '.nimrod'],
	"Ninja": ['.ninja'],
	"Nit": ['.nit'],
	"Nix": ['.nix'],
	"Nu": ['.nu'],
	"NumPy": ['.numpy', '.numpyw', '.numsc'],
	"OCaml": ['.ml', '.eliom', '.eliomi', '.ml4', '.mli', '.mll', '.mly'],
	"ObjDump": ['.objdump'],
	"Objective-C": ['.m', '.h'],
	"Objective-C++": ['.mm'],
	"Objective-J": ['.j', '.sj'],
	"Omgrofl": ['.omgrofl'],
	"Opa": ['.opa'],
	"Opal": ['.opal'],
	"OpenCL": ['.cl', '.opencl'],
	"OpenEdge ABL": ['.p', '.cls'],
	"OpenSCAD": ['.scad'],
	"OpenType Feature File": ['.fea'],
	"Org": ['.org'],
	"Ox": ['.ox', '.oxh', '.oxo'],
	"Oxygene": ['.oxygene'],
	"Oz": ['.oz'],
	"P4": ['.p4'],
	"PAWN": ['.pwn', '.inc'],
	"PHP": ['.php', '.aw', '.ctp', '.fcgi', '.inc', '.php3', '.php4', '.php5', '.phps', '.phpt'],
	"PLSQL": ['.pls', '.bdy', '.ddl', '.fnc', '.pck', '.pkb', '.pks', '.plb', '.plsql', '.prc', '.spc', '.sql', '.tpb', '.tps', '.trg', '.vw'],
	"PLpgSQL": ['.sql'],
	"POV-Ray SDL": ['.pov', '.inc'],
	"Pan": ['.pan'],
	"Papyrus": ['.psc'],
	"Parrot": ['.parrot'],
	"Parrot Assembly": ['.pasm'],
	"Parrot Internal Representation": ['.pir'],
	"Pascal": ['.pas', '.dfm', '.dpr', '.inc', '.lpr', '.pascal', '.pp'],
	"Pep8": ['.pep'],
	"Perl": ['.pl', '.al', '.cgi', '.fcgi', '.perl', '.ph', '.plx', '.pm', '.pod', '.psgi', '.t'],
	"Perl 6": ['.6pl', '.6pm', '.nqp', '.p6', '.p6l', '.p6m', '.pl', '.pl6', '.pm', '.pm6', '.t'],
	"Pic": ['.pic', '.chem'],
	"Pickle": ['.pkl'],
	"PicoLisp": ['.l'],
	"PigLatin": ['.pig'],
	"Pike": ['.pike', '.pmod'],
	"Pod": ['.pod'],
	"PogoScript": ['.pogo'],
	"Pony": ['.pony'],
	"PostScript": ['.ps', '.eps', '.pfa'],
	"PowerBuilder": ['.pbt', '.sra', '.sru', '.srw'],
	"PowerShell": ['.ps1', '.psd1', '.psm1'],
	"Processing": ['.pde'],
	"Prolog": ['.pl', '.pro', '.prolog', '.yap'],
	"Propeller Spin": ['.spin'],
	"Protocol Buffer": ['.proto'],
	"Public Key": ['.asc', '.pub'],
	"Pug": ['.jade', '.pug'],
	"Puppet": ['.pp'],
	"Pure Data": ['.pd'],
	"PureBasic": ['.pb', '.pbi'],
	"PureScript": ['.purs'],
	"Python": ['.py', '.bzl', '.cgi', '.fcgi', '.gyp', '.gypi', '.lmi', '.py3', '.pyde', '.pyi', '.pyp', '.pyt', '.pyw', '.rpy', '.spec', '.tac', '.wsgi', '.xpy'],
	"Python traceback": ['.pytb'],
	"QML": ['.qml', '.qbs'],
	"QMake": ['.pro', '.pri'],
	"R": ['.r', '.rd', '.rsx'],
	"RAML": ['.raml'],
	"RDoc": ['.rdoc'],
	"REALbasic": ['.rbbas', '.rbfrm', '.rbmnu', '.rbres', '.rbtbar', '.rbuistate'],
	"REXX": ['.rexx', '.pprx', '.rex'],
	"RHTML": ['.rhtml'],
	"RMarkdown": ['.rmd'],
	"RPM Spec": ['.spec'],
	"RUNOFF": ['.rnh', '.rno'],
	"Racket": ['.rkt', '.rktd', '.rktl', '.scrbl'],
	"Ragel": ['.rl'],
	"Rascal": ['.rsc'],
	"Raw token data": ['.raw'],
	"Reason": ['.re', '.rei'],
	"Rebol": ['.reb', '.r', '.r2', '.r3', '.rebol'],
	"Red": ['.red', '.reds'],
	"Redcode": ['.cw'],
	"Regular Expression": ['.regexp', '.regex'],
	"Ren'Py": ['.rpy'],
	"RenderScript": ['.rs', '.rsh'],
	"Ring": ['.ring'],
	"RobotFramework": ['.robot'],
	"Roff": ['.man', '.1', '.1in', '.1m', '.1x', '.2', '.3', '.3in', '.3m', '.3qt', '.3x', '.4', '.5', '.6', '.7', '.8', '.9', '.l', '.me', '.ms', '.n', '.nr', '.rno', '.roff', '.tmac'],
	"Rouge": ['.rg'],
	"Ruby": ['.rb', '.builder', '.eye', '.fcgi', '.gemspec', '.god', '.jbuilder', '.mspec', '.pluginspec', '.podspec', '.rabl', '.rake', '.rbuild', '.rbw', '.rbx', '.ru', '.ruby', '.spec', '.thor', '.watchr'],
	"Rust": ['.rs', '.rs.in'],
	"SAS": ['.sas'],
	"SCSS": ['.scss'],
	"SMT": ['.smt2', '.smt'],
	"SPARQL": ['.sparql', '.rq'],
	"SQF": ['.sqf', '.hqf'],
	"SQL": ['.sql', '.cql', '.ddl', '.inc', '.mysql', '.prc', '.tab', '.udf', '.viw'],
	"SQLPL": ['.sql', '.db2'],
	"SRecode Template": ['.srt'],
	"STON": ['.ston'],
	"SVG": ['.svg'],
	"Sage": ['.sage', '.sagews'],
	"SaltStack": ['.sls'],
	"Sass": ['.sass'],
	"Scala": ['.scala', '.sbt', '.sc'],
	"Scaml": ['.scaml'],
	"Scheme": ['.scm', '.sch', '.sld', '.sls', '.sps', '.ss'],
	"Scilab": ['.sci', '.sce', '.tst'],
	"Self": ['.self'],
	"ShaderLab": ['.shader'],
	"Shell": ['.sh', '.bash', '.bats', '.cgi', '.command', '.fcgi', '.ksh', '.sh.in', '.tmux', '.tool', '.zsh'],
	"ShellSession": ['.sh-session'],
	"Shen": ['.shen'],
	"Slash": ['.sl'],
	"Slim": ['.slim'],
	"Smali": ['.smali'],
	"Smalltalk": ['.st'],
	"Smarty": ['.tpl'],
	"SourcePawn": ['.sp', '.inc', '.sma'],
	"Spline Font Database": ['.sfd'],
	"Squirrel": ['.nut'],
	"Stan": ['.stan'],
	"Standard ML": ['.ML', '.fun', '.sig', '.sml'],
	"Stata": ['.do', '.ado', '.doh', '.ihlp', '.mata', '.matah', '.sthlp'],
	"Stylus": ['.styl'],
	"SubRip Text": ['.srt'],
	"Sublime Text Config": ['.sublime-build', '.sublime-commands', '.sublime-completions', '.sublime-keymap', '.sublime-macro', '.sublime-menu', '.sublime-mousemap', '.sublime-project', '.sublime-settings', '.sublime-theme', '.sublime-workspace', '.sublime_metrics', '.sublime_session'],
	"SuperCollider": ['.sc', '.scd'],
	"Swift": ['.swift'],
	"SystemVerilog": ['.sv', '.svh', '.vh'],
	"TI Program": ['.8xp', '.8xk', '.8xk.txt', '.8xp.txt'],
	"TLA": ['.tla'],
	"TOML": ['.toml'],
	"TXL": ['.txl'],
	"Tcl": ['.tcl', '.adp', '.tm'],
	"Tcsh": ['.tcsh', '.csh'],
	"TeX": ['.tex', '.aux', '.bbx', '.bib', '.cbx', '.cls', '.dtx', '.ins', '.lbx', '.ltx', '.mkii', '.mkiv', '.mkvi', '.sty', '.toc'],
	"Tea": ['.tea'],
	"Terra": ['.t'],
	"Text": ['.txt', '.fr', '.nb', '.ncl', '.no'],
	"Textile": ['.textile'],
	"Thrift": ['.thrift'],
	"Turing": ['.t', '.tu'],
	"Turtle": ['.ttl'],
	"Twig": ['.twig'],
	"Type Language": ['.tl'],
	"TypeScript": ['.ts', '.tsx'],
	"Unified Parallel C": ['.upc'],
	"Unity3D Asset": ['.anim', '.asset', '.mat', '.meta', '.prefab', '.unity'],
	"Unix Assembly": ['.s', '.ms'],
	"Uno": ['.uno'],
	"UnrealScript": ['.uc'],
	"UrWeb": ['.ur', '.urs'],
	"VCL": ['.vcl'],
	"VHDL": ['.vhdl', '.vhd', '.vhf', '.vhi', '.vho', '.vhs', '.vht', '.vhw'],
	"Vala": ['.vala', '.vapi'],
	"Verilog": ['.v', '.veo'],
	"Vim script": ['.vim'],
	"Visual Basic": ['.vb', '.bas', '.cls', '.frm', '.frx', '.vba', '.vbhtml', '.vbs'],
	"Volt": ['.volt'],
	"Vue": ['.vue'],
	"Wavefront Material": ['.mtl'],
	"Wavefront Object": ['.obj'],
	"Web Ontology Language": ['.owl'],
	"WebAssembly": ['.wast', '.wat'],
	"WebIDL": ['.webidl'],
	"World of Warcraft Addon Data": ['.toc'],
	"X10": ['.x10'],
	"XC": ['.xc'],
	"XML": ['.xml', '.adml', '.admx', '.ant', '.axml', '.builds', '.ccproj', '.ccxml', '.clixml', '.cproject', '.cscfg', '.csdef', '.csl', '.csproj', '.ct', '.depproj', '.dita', '.ditamap', '.ditaval', '.dll.config', '.dotsettings', '.filters', '.fsproj', '.fxml', '.glade', '.gml', '.grxml', '.iml', '.ivy', '.jelly', '.jsproj', '.kml', '.launch', '.mdpolicy', '.mjml', '.mm', '.mod', '.mxml', '.natvis', '.ndproj', '.nproj', '.nuspec', '.odd', '.osm', '.pkgproj', '.plist', '.pluginspec', '.proj', '.props', '.ps1xml', '.psc1', '.pt', '.rdf', '.resx', '.rss', '.sch', '.scxml', '.sfproj', '.shproj', '.srdf', '.storyboard', '.stTheme', '.sublime-snippet', '.targets', '.tmCommand', '.tml', '.tmLanguage', '.tmPreferences', '.tmSnippet', '.tmTheme', '.ts', '.tsx', '.ui', '.urdf', '.ux', '.vbproj', '.vcxproj', '.vsixmanifest', '.vssettings', '.vstemplate', '.vxml', '.wixproj', '.wsdl', '.wsf', '.wxi', '.wxl', '.wxs', '.x3d', '.xacro', '.xaml', '.xib', '.xlf', '.xliff', '.xmi', '.xml.dist', '.xproj', '.xsd', '.xspec', '.xul', '.zcml'],
	"XPM": ['.xpm', '.pm'],
	"XPages": ['.xsp-config', '.xsp.metadata'],
	"XProc": ['.xpl', '.xproc'],
	"XQuery": ['.xquery', '.xq', '.xql', '.xqm', '.xqy'],
	"XS": ['.xs'],
	"XSLT": ['.xslt', '.xsl'],
	"Xojo": ['.xojo_code', '.xojo_menu', '.xojo_report', '.xojo_script', '.xojo_toolbar', '.xojo_window'],
	"Xtend": ['.xtend'],
	"YAML": ['.yml', '.reek', '.rviz', '.sublime-syntax', '.syntax', '.yaml', '.yaml-tmlanguage', '.yml.mysql'],
	"YANG": ['.yang'],
	"Yacc": ['.y', '.yacc', '.yy'],
	"Zephir": ['.zep'],
	"Zimpl": ['.zimpl', '.zmpl', '.zpl'],
	"desktop": ['.desktop', '.desktop.in'],
	"eC": ['.ec', '.eh'],
	"edn": ['.edn'],
	"fish": ['.fish'],
	"mupad": ['.mu'],
	"nesC": ['.nc'],
	"ooc": ['.ooc'],
	"reStructuredText": ['.rst', '.rest', '.rest.txt', '.rst.txt'],
	"wisp": ['.wisp'],
	"xBase": ['.prg', '.ch', '.prw'],
	}